A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
range
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Functions to create arrays.

## Functions
AFAPI array | range (const dim4 &dims, const int seq_dim=-1, const dtype ty=f32)
| C++ Interface to generate an array with `[0, n-1]` values along the `seq_dim` dimension and tiled across other dimensions of shape `dim4`.
AFAPI array | range (const dim_t d0, const dim_t d1=1, const dim_t d2=1, const dim_t d3=1, const int seq_dim=-1, const dtype ty=f32)
| C++ Interface to generate an array with `[0, n-1]` values along the `seq_dim` dimension and tiled across other dimensions described by dimension parameters.
AFAPI af_err | af_range (af_array *out, const unsigned ndims, const dim_t *const dims, const int seq_dim, const af_dtype type)
| C Interface to generate an array with `[0, n-1]` values along the `seq_dim` dimension and tiled across other dimensions of shape `dim4`.

## Detailed Description

Generate an array with `[0, n-1]` values along the a specified dimension and tiled across other dimensions.

Examples:

// Generates an array of [0, 4] along first dimension
array a = range(dim4(5)); // a = [0,
// 1,
// 2,
// 3,
// 4]
// Generates an array of [0, 4] along first dimension, tiled along second dimension
array b = range(dim4(5, 2)); // b = [0, 0,
// 1, 1,
// 2, 2,
// 3, 3,
// 4, 4]
// Generates an array of [0, 2] along second dimension, tiled along first dimension
array c = range(dim4(5, 3), 1); // c = [0, 1, 2,
// 0, 1, 2,
// 0, 1, 2,
// 0, 1, 2,
// 0, 1, 2]

## Function Documentation

## ◆ af_range()

AFAPI af_err af_range | ( | af_array * | out,
|  | const unsigned | ndims,
|  | const dim_t *const | dims,
|  | const int | seq_dim,
|  | const af_dtype | type )

C Interface to generate an array with `[0, n-1]` values along the `seq_dim` dimension and tiled across other dimensions of shape `dim4`.

Parameters

  [out] | out | range array
  [in] | ndims | number of dimensions, specified by the size of `dims`
  [in] | dims | size
  [in] | seq_dim | dimension along which the range is created
  [in] | type | type

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ range() [1/2]

AFAPI array range | ( | const dim4 & | dims,
|  | const int | seq_dim = -1,
|  | const dtype | ty = f32 )

C++ Interface to generate an array with `[0, n-1]` values along the `seq_dim` dimension and tiled across other dimensions of shape `dim4`.

Parameters

  [in] | dims | size
  [in] | seq_dim | dimesion along which the range is created
  [in] | ty | type

Returns
  range array

## ◆ range() [2/2]

AFAPI array range | ( | const dim_t | d0,
|  | const dim_t | d1 = 1,
|  | const dim_t | d2 = 1,
|  | const dim_t | d3 = 1,
|  | const int | seq_dim = -1,
|  | const dtype | ty = f32 )

C++ Interface to generate an array with `[0, n-1]` values along the `seq_dim` dimension and tiled across other dimensions described by dimension parameters.

Parameters

  [in] | d0 | size of the first dimension
  [in] | d1 | size of the second dimension
  [in] | d2 | size of the third dimension
  [in] | d3 | size of the fourth dimension
  [in] | seq_dim | dimesion along which the range is created
  [in] | ty | type

Returns
  range array